﻿using System;
using System.Windows;
using System.Windows.Media.Animation;
using ThinkGeo.MapSuite.Wpf;

namespace _9471
{
    class AnimationMap : WpfMap
    {
        private int AnimationSeconds = 1;

        public override void OnApplyTemplate()
        {
            base.OnApplyTemplate();
            var zoomStoryboard = (Storyboard)(OverlayCanvas.Resources["ZoomStoryboard"]);
            zoomStoryboard.Duration = new Duration(TimeSpan.FromSeconds(AnimationSeconds + 0.05));
            var zoomAnimationX = (DoubleAnimation)zoomStoryboard.Children[0];
            var zoomAnimationY = (DoubleAnimation)zoomStoryboard.Children[1];
            zoomAnimationX.Duration = new Duration(TimeSpan.FromSeconds(AnimationSeconds));
            zoomAnimationY.Duration = new Duration(TimeSpan.FromSeconds(AnimationSeconds));
        }
    }
}
